org.modeshape.jcr.sequencer

## Class SequencerPathExpression.Matcher

- java.lang.Object
- - org.modeshape.jcr.sequencer.SequencerPathExpression.Matcher

- Enclosing class:
    SequencerPathExpression

      @Immutable
      public static class SequencerPathExpression.Matcher
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SequencerPathExpression.Matcher(PathExpression.Matcher inputMatcher, PathExpression.WorkspacePath outputPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getInputPath()`
    `String` | `getJcrInputPath()` Get the `input path` in standard JCR form.
    `String` | `getOutputPath()` Get the path in the repository where the sequenced content should be placed.
    `String` | `getOutputWorkspaceName()` Get the name of the workspace where the sequenced content should be placed.
    `String` | `getSelectedPath()`
    `int` | `hashCode()`
    `boolean` | `matches()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SequencerPathExpression.Matcher

          protected SequencerPathExpression.Matcher(PathExpression.Matcher inputMatcher,
                                         PathExpression.WorkspacePath outputPath)

  - ### Method Detail

    - #### matches

          public boolean matches()

    - #### getInputPath

          public String getInputPath()

      Returns:
        inputPath

    - #### getJcrInputPath

          public String getJcrInputPath()

      Get the `input path` in standard JCR form.
      Returns:
        the JCR form of the input path; null only if `getInputPath()` is null

    - #### getSelectedPath

          public String getSelectedPath()

      Returns:
        selectPattern

    - #### getOutputPath

          public String getOutputPath()

      Get the path in the repository where the sequenced content should be placed.
      Returns:
        outputPath the output path, or null if this matcher does not match the input

    - #### getOutputWorkspaceName

          public String getOutputWorkspaceName()

      Get the name of the workspace where the sequenced content should be placed.
      Returns:
        outputPath the output path, or null if this matcher does not match the input

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.